Page MenuHome

Blender 2.83 broken Depth of Field in Viewport (Mac OSX)
Closed, ResolvedPublicBUG

Description

System Information

Operating system: Mac OSX 10.14.6 Graphics card: AMD Radeon Pro 580 OpenGL Engine ATI Technologies Inc. 4.1 ATI-2.11.21@Thomas (vonelab)
macbook pro 16 radeon pro 5500m@Wouter Stomp (wouterstomp)
Operating system: Mac OSX 10.15.5 - Darwin-19.5.0-x86_64-i386-64bit 64 Bits Graphics card: AMD Radeon Pro 5500M OpenGL Engine ATI Technologies Inc. 4.1 ATI-3.9.15@Richard (RichardP)

Blender Version
Broken: version: 2.83 and 2.83.1
Worked: 2.82

Short description of error
Blender 2.83 broken Depth of Field in Viewport (Mac OSX)
In the latest Blender 2.83 and 2.83.1 the Depth of Field preview in the SOLID viewport shading seems to be broken. A dark and light gradient simply covers everything. It makes it hard to setup focus pulls in solid viewport shading.

However in 2.82 and earlier the depth of field can be previewed in the solid viewport just fine. I've tested this on a Windows machine but the problem only seems to persist on my Mac. I've had to resort back to 2.82 for now.

Exact steps for others to reproduce the error
Enable Depth of Field in 'Solid' Viewport Shading on MAC OSX using Blender 2.83 and above.
Instead of Depth of Field a light to dark gradient signifies depth instead of blurring.

Event Timeline

Confirmed the same problem on my MacOSX

System Information
Operating system: Mac OSX 10.15.5 - Darwin-19.5.0-x86_64-i386-64bit 64 Bits
Graphics card: AMD Radeon Pro 5500M OpenGL Engine ATI Technologies Inc. 4.1 ATI-3.9.15

Blender Version
Broken: version: 2.83, 2.83.1 and 2.90.0 Alpha, branch: master, commit date: 2020-07-07 16:23, hash: rB4990e4dd01f2
Worked: 2.82 and 2.82a

Same steps as above to reproduce the issue.

Please add a screenshot of the same. I cannot redo any glitch on
macOS 10.14.6
intel HD 6000

Ankit Meel (ankitm) changed the task status from Needs Triage to Needs Information from User.Jul 8 2020, 10:29 PM

I can confirm the same bug in the latest 2.90 Mac build on a macbook pro 16/radeon pro 5500m.

With DoF enabled (f-stop 0.1):

Without DoF enabled:

Ankit Meel (ankitm) changed the task status from Needs Information from User to Needs Information from Developers.Jul 8 2020, 10:57 PM
Ankit Meel (ankitm) updated the task description. (Show Details)

I can reproduce some errors on OSX too.

Clément Foucault (fclem) changed the task status from Needs Information from Developers to Confirmed.Sep 13 2020, 7:39 PM
Clément Foucault (fclem) triaged this task as High priority.
Clément Foucault (fclem) moved this task from Backlog to Blender 2.91 on the EEVEE & Viewport board.
Clément Foucault (fclem) changed the subtype of this task from "Report" to "Bug".

Can someone else confirm this is fixed on Macs with amd gpus?

Not fixed for me in the latest available build, but the fix might not yet be in there? (it is from very shortly after your commit, sept 14 23:31). Will test again once a new build is available.

Clément Foucault (fclem) reopened this task as Confirmed.Sep 16 2020, 12:07 AM

yes the hash correspond to my commit. So it is not fixed.

Was also able to reproduce this on macOS with AMD GPU.